/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType } from "igniteui-angular-core";
import { DeviceUtils } from "igniteui-angular-core";
import { BrushUtil } from "igniteui-angular-core";
/**
 * @hidden
 */
export let AxisDefaults = /*@__PURE__*/ (() => {
    class AxisDefaults extends Base {
    }
    AxisDefaults.$t = markType(AxisDefaults, 'AxisDefaults');
    AxisDefaults.axis_LineStroke = DeviceUtils.g(1);
    AxisDefaults.axis_MinorStroke = DeviceUtils.g(1);
    AxisDefaults.axis_MajorStroke = DeviceUtils.g(1);
    AxisDefaults.axis_TickStroke = DeviceUtils.g(1);
    AxisDefaults.axis_TickLength = DeviceUtils.g(0);
    AxisDefaults.categoryAxis_TickLength = DeviceUtils.g(8);
    AxisDefaults.axis_LineBrush = BrushUtil.j(255, 158, 158, 158);
    AxisDefaults.axis_MinorBrush = null;
    AxisDefaults.axis_MajorBrush = BrushUtil.j(255, 196, 196, 196);
    AxisDefaults.axis_TickBrush = BrushUtil.j(255, 158, 158, 158);
    return AxisDefaults;
})();
